#cs ----------------------------------------------------------------------------

 AutoIt Version: 3.3.8.1
 Author:         myName

 Script Function:
	Template AutoIt script.

#ce ----------------------------------------------------------------------------

; Script Start - Add your code below here

Global $mainSocket, $IP = @IPAddress1, $port = 9989, $max = 50, $socket, $recv = 1

TCPStartup() ; le programme utilise dsormais le protocole TCP/IP

$mainSocket = TCPListen($IP,$port,$max) ; cre un socket de connexion sur le port 9989 pour cinquante connexions au maximum
If $mainSocket = -1 Or $mainSocket = 0 Then ; si on ne peut pas crer le socket
	MsgBox(16,"Serveur - erreur", "Impossible de crer un socket d'coute. Code d'erreur : " & @error)
	TCPShutdown() ; le programme n'utilise plus le protocole TCP/IP
	Exit ; on quitte le programme
EndIf

Do
	$socket = TCPAccept($mainSocket) ; on accepte une ventuelle connexion
	Sleep(10) ; juste pour ne pas surcharger le CPU
Until $socket <> -1 ; si la condition est vrifie, une connexion est tablie

While $recv <> "exit" ; on dialogue jusqu' ce que l'on reoive l'ordre de quitter le programme
	$recv = TCPRecv($socket,9999) ; on tente la rception d'un paquet
	If $recv <> "" Then
		Local $tempArray
		$tempArray = StringSplit($recv,"|")
		If Not @error Then ; si nous avons bien une commande
			Local $type = $tempArray[1], $title = $tempArray[2], $message = $tempArray[3] ; on distribue les arguments
			MsgBox($type,$title,$message) ; on appelle la commande avec les bons arguments
		EndIf
	EndIf
	Sleep(10) ; toujours pour viter de surcharger le CPU
WEnd

TCPCloseSocket($mainSocket) ; on ferme le socket d'coute
TCPShutdown() ; le programme n'utilise plus le protocole TCP/IP
Exit ; on quitte le programme