#cs ----------------------------------------------------------------------------

 AutoIt Version: 3.3.8.1
 Author:         myName

 Script Function:
	Template AutoIt script.

#ce ----------------------------------------------------------------------------

; Script Start - Add your code below here

Global $socket, $IP = @IPAddress1, $port = 9989
Global $begin, $type, $title, $message, $toSend

TCPStartup() ; le programme utilise dsormais le protocole TCP/IP

$socket = TCPConnect($IP,$port) ; on tente une connexion  l'IP xxx.xxx.x.xxx
If $socket = -1 Or $socket = 0 Then ; si on ne peut pas se connecter
	MsgBox(16,"Client - erreur", "Impossible de se connecter. Code d'erreur : " & @error)
	TCPShutdown() ; le programme n'utilise plus le protocole TCP/IP
	Exit ; on quitte le programme
EndIf

Do
	$begin = InputBox("Client - MsgBox","Voulez-vous envoyer une MsgBox personnalise ? 'Oui' ou 'Non'. 'Exit' pour quitter.")
	If $begin = "Oui" Then
		$type = InputBox("Client  - Type de MsgBox","Code du type de MsgBox") ; on rentre le type
		$title = InputBox("Client - Titre de la MsgBox","Titre de la MsgBox") ; on rentre le titre
		$message = InputBox("Client - Message de la MsgBox","Message de la MsgBox") ; on rentre le message
		$toSend = $type & "|" & $title & "|" & $message ; on cre le paquet
	ElseIf $begin = "Exit" Then ; si jamais on veut quitter
		$toSend = "Exit" ; on envoit le paquet correspondant
	EndIf
	If $toSend <> "" Then TCPSend($socket,$toSend) ; on envoie le paquet
Until $begin = "exit"

TCPCloseSocket($socket) ; ferme la connexion
TCPShutdown() ; le programme n'utilise plus le protocole TCP/IP
Exit ; le programme se quitte